CREATE DEFINER=`root`@`%` PROCEDURE `getClassificator`(IN `_id` INT, IN `_level` INT)
	LANGUAGE SQL
	NOT DETERMINISTIC
	CONTAINS SQL
	SQL SECURITY DEFINER
	COMMENT ''
BEGIN
	DECLARE cid INT;
	DECLARE chs INT;
	DECLARE done INT DEFAULT FALSE;
	DECLARE c CURSOR FOR SELECT id FROM classificator WHERE classificator.pid = _id;
	DECLARE CONTINUE HANDLER FOR NOT FOUND SET done = TRUE;
	
	OPEN c;
	
	g: LOOP
		FETCH c INTO cid; 
		
		IF done THEN
      	LEAVE g;
    	END IF;
    	
		SELECT COUNT(id) INTO chs FROM classificator WHERE pid = cid;
		INSERT INTO nodes(id, lvl, cnt) VALUES (cid, _level + 1, chs);
		CALL getClassificator(cid, _level + 1);

	END LOOP g;
	CLOSE c;
END